Limit (JaCoCo 0.6.3.201306030806 API)
Date: 2013-06-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jacoco.report.check
Class Limit

    java.lang.Object
      org.jacoco.report.check.Limit

    public class Limit

extends Object

Descriptor for a limit which is given by a `Rule`.

Constructor Summary
`Limit()` Creates a new instance with the following defaults: counter entity: `ICoverageNode.CounterEntity.INSTRUCTION` counter value: `ICounter.CounterValue.COVEREDRATIO` minimum: no limit maximum: no limit

Method Summary
`ICoverageNode.CounterEntity` | `getEntity()`
`String` | `getMaximum()`
`String` | `getMinimum()`
`ICounter.CounterValue` | `getValue()`
`void` | `setCounter(ICoverageNode.CounterEntity entity)` Sets the counter entity to check.
`void` | `setMaximum(String maximum)` Sets allowed maximum value as decimal string representation.
`void` | `setMinimum(String minimum)` Sets allowed minimum value as decimal string representation.
`void` | `setValue(ICounter.CounterValue value)` Sets the value to check.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Limit

    public Limit()

  Creates a new instance with the following defaults:
  - counter entity: `ICoverageNode.CounterEntity.INSTRUCTION`
  - counter value: `ICounter.CounterValue.COVEREDRATIO`
  - minimum: no limit
  - maximum: no limit

Method Detail

### getEntity

    public ICoverageNode.CounterEntity getEntity()

  Returns:
    the configured counter entity to check

### setCounter

    public void setCounter(ICoverageNode.CounterEntity entity)

  Sets the counter entity to check.

  Parameters:
    `entity` - counter entity to check

### getValue

    public ICounter.CounterValue getValue()

  Returns:
    the configured value to check

### setValue

    public void setValue(ICounter.CounterValue value)

  Sets the value to check.

  Parameters:
    `value` - value to check

### getMinimum

    public String getMinimum()

  Returns:
    configured minimum value, or `null` if no minimum is given

### setMinimum

    public void setMinimum(String minimum)

  Sets allowed minimum value as decimal string representation. The given precision is also considered in error messages. Coverage ratios are given in the range from 0.0 to 1.0.

  Parameters:
    `minimum` - allowed minimum or `null`, if no minimum should be checked

### getMaximum

    public String getMaximum()

  Returns:
    configured maximum value, or `null` if no maximum is given

### setMaximum

    public void setMaximum(String maximum)

  Sets allowed maximum value as decimal string representation. The given precision is also considered in error messages. Coverage ratios are given in the range from 0.0 to 1.0.

  Parameters:
    `maximum` - allowed maximum or `null`, if no maximum should be checked

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009-2013 Mountainminds GmbH & Co. KG. All Rights Reserved.